/******************************************************************************
 testXparser.cc

	This provides a way to test the parsing system and JXExprEditor.

	Copyright  1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "TestParserDirector.h"
#include <JXApplication.h>
#include <jAssert.h>

/******************************************************************************
 main

 ******************************************************************************/

int
main
	(
	int		argc,
	char*	argv[]
	)
{
	JXApplication* app = new JXApplication(&argc, argv);
	assert( app != NULL );

	TestParserDirector* mainDir = new TestParserDirector(app);
	assert( mainDir != NULL );

	mainDir->Activate();
	app->Run();
	return 0;
}
